import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('shop_component_cms')
export class ShopComponentCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    headerTitleFontColor: string;

    @Column({ default: null, nullable: true })
    headerSubTitleFontColor: string;

    @Column({ default: null, nullable: true })
    pageTitleFontColor: string;

    @Column({ default: null, nullable: true })
    pageSubTitleFontColor: string;

    @Column({ default: null, nullable: true })
    headerBackgroundColor: string;

    @Column({ default: null, nullable: true })
    pageBackgroundColor: string;

    @Column({ default: null, nullable: true })
    badgeColor: string;
}
