import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('product_dump_imports')
export class ProductDumpImport extends CoreEntity {

    @Column({ default:null, nullable:true })
    DumpID: string; 

    @Column({ default:null, nullable:true })
    Name: string; 

    @Column({ default:null, nullable:true })
    Sku: string;

    // @Column({ default:null, nullable:true })
    // Cost: string; 

    @Column({ default:null, nullable:true })
    Price: string; 

    @Column({ default:null, nullable:true })
    Stock: string; 

    @Column({ default:null, nullable:true })
    QuantityReorder: number; 

    @Column({ default:null, nullable:true, type:"text" })
    Weight: string; 

    @Column({ default:null, nullable:true, type:"text" })
    Size: string; 


    @Column({ default:null, nullable:true, type:"text" })
    Color: string; 


    @Column({ default:null, nullable:true, type:"text" })
    Tag: string; 


    @Column({ default:null, nullable:true, type:"text" })
    Material: string; 


    @Column({ default:null, nullable:true, type:"text" })
    Highlight: string; 


    // @Column({ default:null, nullable:true })
    // BrandName: string; 

    @Column({ default:null, nullable:true })
    ParentCategory: string; 

    @Column({ default:null, nullable:true })
    SubCategory: string; 

    @Column({ default:null, nullable:true })
    ChildCategory: string; 

    @Column({ default:null, nullable:true })
    Status: string; 

    @Column({ default:'Pending', nullable:true })
    ProcessStatus: string; 

    
    
 }
