import { IsDecimal, IsEmpty, IsNotEmpty } from "class-validator";

export class CreateShippingMethodsDto {
    @IsNotEmpty()
    readonly name: string;

    @IsEmpty()
    readonly description: string;

    @IsEmpty()
    @IsDecimal()
    price: number;
}
    