import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('about_page_cms')
export class AboutPageCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ type: "longtext", default: null, nullable: true })
    description: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    image: string;
}
