import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('collection_page')
export class CollectionPage extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    blockOneImage: string;

    @Column({ default: null, nullable: true })
    blockOneTitle: string;

    @Column({ default: null, nullable: true })
    blockOneLink: string;

    @Column({ default: "https://golden-gal.nyc3.cdn.digitaloceanspaces.com/default_cms.png", nullable: true })
    blockTwoImage: string;

    @Column({ default: null, nullable: true })
    blockTwoTitle: string;

    @Column({ default: null, nullable: true })
    blockTwoLink: string;

    @Column({ default: null, nullable: true })
    buttonText: string;
}
