import { CoreEntity } from "src/core/core.entity";
import { Entity, Column } from "typeorm";

@Entity('footer_cms')
export class FooterCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    logo: string;

    @Column({ type: 'longtext', default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    email: string;

    @Column({ default: null, nullable: true })
    phone: string;

    @Column({ default: null, nullable: true })
    fax: string;

    @Column({ default: null, nullable: true })
    copyrightText: string;

    @Column({ default: null, nullable: true })
    paymentMethodImage: string;
}
